Last Comment Bug 713407 - Account provisioner does not find any possible email addresses unless the search text contains a space
: Account provisioner does not find any possible email addresses unless the sea...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: 10 Branch
: x86 Windows XP
: -- major (vote)
: ---
Assigned To: Andrei Hajdukewycz [:sancus]
:
:
Mentors:
Depends on:
Blocks: 686347
  Show dependency treegraph
 
Reported: 2011-12-24 14:31 PST by Matt
Modified: 2012-02-08 13:14 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
+
fixed


Attachments

Description Matt 2011-12-24 14:31:25 PST
The account provisioner does not locate any possible email addresses unless the search string contains a space, although the dialog text indicates "Just fill in your first and last name, or any other words you’d like, in the fields above to get started"

madmat  returns a sorry

mad mat returns a variety of options

Expected result:
Both search string should return the same or very similar results.

Have set the severity of this to Blocker, as this is I think a show stopper for the feature and needs correction whilst still in beta.
Comment 1 Ben Bucksch (:BenB) 2011-12-24 18:03:34 PST
Sev: Major. Please see <https://bugzilla.mozilla.org/page.cgi?id=fields.html#importance>
I agree that the account provisioning feature is severely impaired by this bug.
Comment 2 Mike Conley (:mconley) 2011-12-29 06:21:07 PST
Ack, this is a pretty major oversight.  Sorry it slipped through - on it.
Comment 3 Mike Conley (:mconley) 2011-12-29 06:27:22 PST
Hm - ok, so this doesn't appear to be on the client-side.  The suggestFromName service being hosted by Mozilla doesn't appear to like it if there's no last name provided.

Example:

https://broker-live.mozillamessaging.com/provider/suggest?first_name=Mike&last_name=&providers=aol,hover,yandex

Sancus - is it safe to assume that when we switch to the real suggestion service, it'll handle the case where there is no last name?

-Mike
Comment 4 Mark Banner (:standard8, afk until Dec) 2012-01-17 12:38:51 PST
This feature has been postponed until TB 11, so we don't need this yet, but we can test it when we're ready.
Comment 5 Andrei Hajdukewycz [:sancus] 2012-02-07 13:02:55 PST
This should be fixed now. The issue was that empty last_name or first_name arguments were being interpreted as not submitted parameters at all.

Note You need to log in before you can comment on or make changes to this bug.